import UIKit

//ドキュメント
class ICloudDocument: UIDocument {
    var text = "" //テキスト
    
    //ドキュメント読み込み時に呼ばれる(6)
    override func loadFromContents(contents: AnyObject,
        ofType: String?) throws {
        self.text = NSString(data: contents as! NSData,
            encoding: NSUTF8StringEncoding) as! String
    }
    
    //ドキュメント書き込み時に呼ばれる(7)
    override func contentsForType(typeName: String) throws -> AnyObject {
        if let value = self.text.dataUsingEncoding(NSUTF8StringEncoding) {
            return value
        }
        return NSData()
    }
}
