import UIKit
import iAd

//アプリ内広告
class ViewController: UIViewController,
    ADBannerViewDelegate { //(2)
    var _adBanner: ADBannerView!   //ADバナー
    var _dummyBanner: UIImageView! //ダミーバナー

    //ロード完了時に呼ばれる
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //ADバナーの生成(1)
        _adBanner = ADBannerView()
        _adBanner.delegate = self
        _adBanner.hidden = true
        self.view.addSubview(_adBanner)

        //画面下端に配置(1)
        let size = UIScreen.mainScreen().bounds.size
        var frame = _adBanner.frame
        frame.origin.y = size.height-frame.size.height
        _adBanner.frame = frame
        
        //ダミーバナーの生成
        _dummyBanner = UIImageView()
        _dummyBanner.frame = _adBanner.frame
        _dummyBanner.image = UIImage(named:"dummy")
        _dummyBanner.backgroundColor = UIColor.grayColor()
        _dummyBanner.contentMode = UIViewContentMode.ScaleAspectFit
        self.view.addSubview(_dummyBanner)
    }

    //広告読み込み成功時に呼ばれる(2)
    func bannerViewDidLoadAd(banner: ADBannerView) {
        _adBanner.hidden = false
        _dummyBanner.hidden = true
    }

    //広告読み込み失敗時に呼ばれる(2)
    func bannerView(banner: ADBannerView,
        didFailToReceiveAdWithError error: NSError) {
        _adBanner.hidden = true
        _dummyBanner.hidden = false
    }
}
